Bug 61698 - Kernel-BOOT does not build SCSI tape modules
Kernel-BOOT does not build SCSI tape modules
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-22 23:39 EST by Tom "spot" Callaway
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:51:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2002-03-22 23:39:53 EST
Description of Problem:

Kernel-BOOT does not build sg.o or st.o.
This prevents any sort of real tape backup from the rescue environment. This is
bad with a capital F. The floppy tape module is built, but not the scsi modules.


Version-Release number of selected component (if applicable):

All kernels tested, from 2.4.2-2 to rawhide.

How Reproducible:

Always

Steps to Reproduce:
1. Boot into rescue environment.
2. Attempt to use the tape drive detected by the scsi controller.
3. Curse angrily.
4. Repeat steps 2-4 until thoroughly displeased.

Actual Results:

State of thorough displeasure.

Expected Results:

Data backed up to SCSI tape drive.
Comment 1 Arjan van de Ven 2002-03-23 05:45:13 EST
Very good point.
Fixed in the next build
Comment 2 Mogens Kjaer 2002-07-05 03:05:58 EDT
The Kernel-BOOT RPM contains the st.o module now.

However, it is not included when the bootable disk is
built...
Comment 3 Tom "spot" Callaway 2002-07-08 09:05:33 EDT
Well, not to be overly crude, but what good is that?

Reopening this bug until the st.o module is actually put into the installer &
rescue images, reassigning it to anaconda.
Comment 4 Mogens Kjaer 2002-07-08 09:12:54 EDT
The good thing about having st.o available
on the installer cd in rescue mode is that it
makes it possible to restore a machine from
backup tapes.

Write-only backup tapes are not so useful :-)
Comment 5 Jeremy Katz 2002-07-18 00:12:29 EDT
st.o included in the second stage modules in CVS
Comment 6 Brent Fox 2003-05-25 10:51:53 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.